import java.awt.*;
import java.applet.*;
import java.io.*;
import java.net.*;
import java.util.*;

////////////////////////////////////////////////////////////////////
//
//              CLASS : DataWin
//              =================
//     the window is used for showing data information.
//
//     Last_Modified: On 8/5/98,
//         use one window for showing data info like input/output
//	   file contents and functional module sources. 
//	   the parameter for its ctor is a URL address.
////////////////////////////////////////////////////////////////////
 
class DataWin extends Frame {
  private int vwWidth = 500, vwHeight = 400;
  private TextArea data;
  private Button close;
 
//  public DataWin(String title, DataInputStream dataS) {
  public DataWin(String title, BufferedReader dataS) {
    super();
    setTitle("Data Information Window : " + title);
    setLayout(new BorderLayout());
    data = new TextArea("\n", 10, 60);
    data.setEditable(false);
    add("Center", data);
    Panel p = new Panel();
    add("South", p);
    close = new Button("CLOSE");
    p.add(close);
    setSize(vwWidth, vwHeight);
    show();
    String aline = null;
    int pos = 0;
	// Aug. 11 improving the displaying speed in DataWin

	try {
		aline = dataS.readLine();
	}
	catch (IOException e1) {
	}

	while( aline != null ) {
		aline = "  " + aline + "\n";
		pos   += aline.length() + 2;
		data.insert(aline, pos);
		try {
			aline = dataS.readLine();
		}
		catch (IOException e1) {
		}
	}

	try {
		dataS.close();
	}
	catch (IOException e1) {
	}
   }

  public boolean action(Event evt, Object obj) {
     if (evt.target instanceof Button) {
         if ("CLOSE".equals(obj)) {
             System.out.println("CLOSE");
             dispose();
             return true;
          }
         return false;
      }
     return false;
  }
}
